package domain


type AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest struct {
    /*
        扩展字段     */
    Extension  *string `json:"extension,omitempty" `

    /*
        退仓来源单号/退款单号     */
    ReverseSourceOrderNo  *string `json:"reverse_source_order_no,omitempty" `

    /*
        测试标记     */
    Test  *bool `json:"test,omitempty" `

    /*
        消息体     */
    Details  *[]AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest `json:"details,omitempty" `

    /*
        仓编码     */
    StoreCode  *string `json:"store_code,omitempty" `

}

func (s *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) SetExtension(v string) *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest {
    s.Extension = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) SetReverseSourceOrderNo(v string) *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest {
    s.ReverseSourceOrderNo = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) SetTest(v bool) *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest {
    s.Test = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) SetDetails(v []AlibabaAxWarehouseInboundCallbackReverseInBoundDetailCallBackRequest) *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest {
    s.Details = &v
    return s
}
func (s *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) SetStoreCode(v string) *AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest {
    s.StoreCode = &v
    return s
}
